DNS and DHCP providers for libvirt fail to start

03/29/2017 09:19 AM - Ondřej Pražák
Category: RPMs   
Description

After running:

foreman-installer --scenario katello --foreman-admin-password changeme --foreman-proxy-dns true \

 --foreman-proxy-dns-interface virbr1 --foreman-proxy-dns-provider libvirt --foreman-proxy-dhcp tr

ue \

 --foreman-proxy-dhcp-interface virbr1 --foreman-proxy-dhcp-provider libvirt --foreman-proxy-tftp 

true \

 --foreman-proxy-templates true --foreman-logging-level debug --foreman-proxy-log-level DEBUG \ 

 --enable-foreman-compute-libvirt true

 DNS and DHCP modules for libvirt failed to start.

/var/log/foreman-proxy/proxy.log

E, [2017-03-29T08:54:02.139430 ] ERROR -- : Disabling all modules in the group ['dns_libvirt', 'dn

s'] due to a failure in one of them: cannot load such file -- libvirt

D, [2017-03-29T08:54:02.139488 ] DEBUG -- : ["/usr/share/rubygems/rubygems/core_ext/kernel_require

.rb:55:in `require'", "/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'", "

/usr/share/foreman-proxy/modules/dns_libvirt/libvirt_dns_network.rb:1:in `<top (required)>'", "/us

r/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'", "/usr/share/rubygems/rubyge

ms/core_ext/kernel_require.rb:55:in `require'", "/usr/share/foreman-proxy/modules/dns_libvirt/plug

in_configuration.rb:5:in `load_classes'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.r

b:294:in `load_classes'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:243:in `load_s

ettings'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:81:in `block in load_provider

_settings'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:80:in `each'", "/usr/share/

foreman-proxy/lib/proxy/plugin_initializer.rb:80:in `load_provider_settings'", "/usr/share/foreman

-proxy/lib/proxy/plugin_initializer.rb:155:in `block in initialize_plugins'", "/usr/share/foreman-

proxy/lib/proxy/plugin_initializer.rb:155:in `each'", "/usr/share/foreman-proxy/lib/proxy/plugin_i

nitializer.rb:155:in `initialize_plugins'", "/usr/share/foreman-proxy/lib/launcher.rb:137:in `laun

ch'", "/usr/share/foreman-proxy/bin/smart-proxy:6:in `<main>'"]

E, [2017-03-29T08:54:02.142617 ] ERROR -- : Disabling all modules in the group ['dhcp_libvirt', 'd

hcp'] due to a failure in one of them: cannot load such file -- libvirt

D, [2017-03-29T08:54:02.142672 ] DEBUG -- : ["/usr/share/rubygems/rubygems/core_ext/kernel_require

.rb:55:in `require'", "/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'", "

/usr/share/foreman-proxy/modules/dhcp_libvirt/libvirt_dhcp_network.rb:1:in `<top (required)>'", "/

usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'", "/usr/share/rubygems/ruby

gems/core_ext/kernel_require.rb:55:in `require'", "/usr/share/foreman-proxy/modules/dhcp_libvirt/c

onfiguration_loader.rb:22:in `load_classes'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializ

er.rb:294:in `load_classes'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:243:in `lo

ad_settings'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:81:in `block in load_prov

ider_settings'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:80:in `each'", "/usr/sh

are/foreman-proxy/lib/proxy/plugin_initializer.rb:80:in `load_provider_settings'", "/usr/share/for

eman-proxy/lib/proxy/plugin_initializer.rb:155:in `block in initialize_plugins'", "/usr/share/fore

man-proxy/lib/proxy/plugin_initializer.rb:155:in `each'", "/usr/share/foreman-proxy/lib/proxy/plug

in_initializer.rb:155:in `initialize_plugins'", "/usr/share/foreman-proxy/lib/launcher.rb:137:in `
launch'", "/usr/share/foreman-proxy/bin/smart-proxy:6:in `<main>'"]

 
[root@myserver foreman-proxy]# yum list installed | grep libvirt

foreman-libvirt.noarch                 1.15.0-0.develop.201703271956git40dd32b.el7

libvirt.x86_64                         2.0.0-10.el7_3.5        @updates         

libvirt-client.x86_64                  2.0.0-10.el7_3.5        @updates         

libvirt-daemon.x86_64                  2.0.0-10.el7_3.5        @updates         

libvirt-daemon-config-network.x86_64   2.0.0-10.el7_3.5        @updates         

libvirt-daemon-config-nwfilter.x86_64  2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-interface.x86_64 2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-lxc.x86_64       2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-network.x86_64   2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-nodedev.x86_64   2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-nwfilter.x86_64  2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-qemu.x86_64      2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-secret.x86_64    2.0.0-10.el7_3.5        @updates         

libvirt-daemon-driver-storage.x86_64   2.0.0-10.el7_3.5        @updates         

libvirt-daemon-kvm.x86_64              2.0.0-10.el7_3.5        @updates         

libvirt-gconfig.x86_64                 0.2.3-1.el7             @base            

libvirt-glib.x86_64                    0.2.3-1.el7             @base            

libvirt-gobject.x86_64                 0.2.3-1.el7             @base            

libvirt-python.x86_64                  2.0.0-2.el7             @base            

tfm-rubygem-fog-libvirt.noarch         0.2.0-1.el7             @foreman         

tfm-rubygem-ruby-libvirt.x86_64        0.5.2-4.el7             @foreman

 Note the installed ruby-libvirt version, 0.5.2.

[root@myserver foreman-proxy]# cat /usr/share/foreman-proxy/bundler.d/libvirt.rb

group :libvirt do

  gem 'ruby-libvirt', '>= 0.6.0'

end

 The version mismatch is likely the cause why there are failures in libvirt modules.

Related issues:

Related to Smart Proxy - Bug #34772: validate_supported_address issue Duplicate

History

#1 - 03/29/2017 09:22 AM - Dominic Cleal

yum install rubygem-ruby-libvirt for the (optional) dependency. These providers are not intended for use in production installations (i.e. with RPMs),

only development instances.

#2 - 03/29/2017 09:38 AM - Ondřej Pražák

- Status changed from New to Resolved

Dominic Cleal wrote:

yum install rubygem-ruby-libvirt for the (optional) dependency. These providers are not intended for use in production installations (i.e. with

RPMs), only development instances.

 Works for me, thanks.

#3 - 05/23/2018 09:36 PM - Rahul Bajaj

I think this bug is still valid. I am facing this in the development environment.

#4 - 05/24/2018 06:04 AM - Ondřej Pražák

If you have a devel proxy, bundle install should get you the gems you need - at least for me it does. Do you have any additional details? Comment 1

solved it for me in production.

#5 - 08/03/2022 11:58 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #34772: validate_supported_address issue  added

Powered by TCPDF (www.tcpdf.org)

05/20/2024 2/2

http://www.tcpdf.org

